## armci-mpi 0.0~git20160222

=== debian/changelog ===
armci-mpi (0.0~git20160222-2build1) bionic; urgency=medium

  * No-change rebuild for PIE compatibility.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 01 Feb 2018 23:22:06 -0800

armci-mpi (0.0~git20160222-2) unstable; urgency=medium

  * Team upload
  * Set ARMCI_USE_WIN_ALLOCATE=1 to fix test failures on 32-bit buildds
    (Closes: #816305)
  * Improve libarmci-mpi-dev package description (Closes: #857140)

 -- Graham Inggs <ginggs@debian.org>  Sun, 12 Mar 2017 22:03:20 +0200

armci-mpi (0.0~git20160222-1) unstable; urgency=medium

  * Initial upload (Closes: #815837).

 -- Michael Banck <mbanck@debian.org>  Mon, 29 Feb 2016 00:25:29 +0100
