=== debian/control ===
Source: armci-mpi
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               mpi-default-bin,
               mpi-default-dev
Standards-Version: 3.9.6
Homepage: https://wiki.mpich.org/armci-mpi/index.php/Main_Page

Package: libarmci-mpi-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ARMCI-MPI (Development version)
 ARMCI-MPI is a completely rewritten implementation of the ARMCI one-sided
 communication interface that uses MPI RMA for one-sided communication.
 .
 The purpose of the Aggregate Remote Memory Copy (ARMCI) library is to provide
 a general-purpose, efficient, and widely portable remote memory access (RMA)
 operations (one-sided communication) optimized for contiguous and
 noncontiguous (strided, scatter/gather, I/O vector) data transfers.
 .
 This version contains the Fortran90 modules and the static library.
