=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/mpi-default-dev/debian_defaults

export OMPI_MCA_plm_rsh_agent=/bin/false

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	$(MAKE) -k check MPIEXEC="mpiexec -np 2" ARMCI_USE_WIN_ALLOCATE=1 || cat test-suite.log
endif
