## armci-mpi 0.0~git20180917

=== debian/changelog ===
armci-mpi (0.0~git20180917-2) unstable; urgency=medium

  * Team upload.
  * debian/control: mark libarmci-mpi-dev as Multi-Arch: same

 -- Drew Parsons <dparsons@debian.org>  Mon, 31 Dec 2018 13:10:35 +0100

armci-mpi (0.0~git20180917-1exp1) experimental; urgency=medium

  * Team upload.
  * update to current upstream git (dated 20180917,
    upstream commit 5678decc08ae3037179bdda8e7df60e257148a5e)
    - procedure using git remote and gbp buildpackage documented in
      debian/README.source
  * debian/control: add Vcs tags to
    https://salsa.debian.org/science-team/armci-mpi
  * Standards-Version: 4.3.0
  * debhelper compatibility level 11
    - removes explicit Build-Depends: dh-autoreconf

 -- Drew Parsons <dparsons@debian.org>  Mon, 31 Dec 2018 01:52:17 +0100
