=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                mpi-default-bin,
                mpi-default-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.3.0
 Homepage: https://wiki.mpich.org/armci-mpi/index.php/Main_Page
+Vcs-Browser: https://salsa.debian.org/science-team/armci-mpi
+Vcs-Git: https://salsa.debian.org/science-team/armci-mpi.git
 
 Package: libarmci-mpi-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: ARMCI-MPI (Development version)
