## armci-mpi 0.0~git20191105.6e593db

=== debian/changelog ===
armci-mpi (0.0~git20191105.6e593db-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * skip tests on ia64 (they consistently time out)
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Dec 2019 17:32:18 +1100

armci-mpi (0.0~git20190412.643ea1a-4) unstable; urgency=medium

  * Team upload.
  * allow oversubscribing of MPI slots when running CI tests

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Sep 2019 06:03:40 +0800

armci-mpi (0.0~git20190412.643ea1a-3) unstable; urgency=medium

  * Team upload.
  * Show contents of test-suite.log if CI tests fail.

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Sep 2019 22:40:06 +0800

armci-mpi (0.0~git20190412.643ea1a-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.4.0
  * debhelper compatibility level 12: debhelper-compat (= 12)
  * add debian/tests (autopkgtest)

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Sep 2019 18:29:15 +0800

armci-mpi (0.0~git20190412.643ea1a-1) experimental; urgency=medium

  * Team upload.
  * Update upstream source.
  * debian/watch tracks upstream git repository at
    https://github.com/pmodels/armci-mpi
  * update debian/copyright: new upstream source url,
    tests/contrib/* licensed under BSD-2-clause.

 -- Drew Parsons <dparsons@debian.org>  Sun, 28 Apr 2019 12:46:16 +0800
