## armci-mpi 0.3.1~beta

=== debian/changelog ===
armci-mpi (0.3.1~beta-7) unstable; urgency=medium

  * Team upload.
  * run build-time tests on only 1 process if only 1 CPU is available.
    Closes: #1031064.
  * debian/tests: don't run mpich tests on s390x. Closes: #1009772.

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Mar 2023 14:08:54 +0100

armci-mpi (0.3.1~beta-6) unstable; urgency=medium

  * Team upload.
  * fix skipping mpich build tests on ppc64, sparc64

 -- Drew Parsons <dparsons@debian.org>  Mon, 07 Mar 2022 13:07:13 +0100

armci-mpi (0.3.1~beta-5) unstable; urgency=medium

  * Team upload.
  * debian/tests Depends: gcc

 -- Drew Parsons <dparsons@debian.org>  Fri, 25 Feb 2022 01:36:51 +0100

armci-mpi (0.3.1~beta-4) unstable; urgency=medium

  * Team upload.
  * clean debian patch build_mpi_flavor.patch
  * debian/tests Depends: debhelper, dh-autoreconf
  * skip mpich build-time tests on ppc64, sparc64 (tests time out)

 -- Drew Parsons <dparsons@debian.org>  Thu, 24 Feb 2022 15:09:04 +0100

armci-mpi (0.3.1~beta-3) unstable; urgency=medium

  * Team upload.
  * print test error log from build dir

 -- Drew Parsons <dparsons@debian.org>  Thu, 24 Feb 2022 01:37:30 +0100

armci-mpi (0.3.1~beta-2) unstable; urgency=medium

  * Team upload.
  * build static libraries for both OpenMPI and MPICH
    - run debian/tests for each variant
  * make MPI-specific build using MPI_FLAVOR as library name suffix
    (set with ./configure)
    - debian patch build_mpi_flavor.patch applies MPI_FLAVOR to
      automake files
    - build in subdir for each MPI flavor
  * update debian/upstream/metadata to add Repository
    (https://github.com/pmodels/armci-mpi.git) and field
    "Other-References" instead of "Homepage"
  * Standards-Version: 4.6.0
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Wed, 23 Feb 2022 20:23:07 +0100

armci-mpi (0.3.1~beta-1) unstable; urgency=medium

  * New upstream prerelease.
  * debian/watch: Updated for regular Github tags/releases. 

 -- Michael Banck <mbanck@debian.org>  Sat, 07 Mar 2020 20:49:39 +0100

armci-mpi (0.3.1-beta-1exp1) experimental; urgency=medium

  * Team upload.
  * update debian/watch to watch github tag releases
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Jan 2020 12:36:33 +1100
