=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 11),
-               mpi-default-bin,
-               mpi-default-dev
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13),
+ mpi-default-bin, mpi-default-dev,
+ libopenmpi-dev,
+ libmpich-dev
+Standards-Version: 4.6.0
 Homepage: https://wiki.mpich.org/armci-mpi/index.php/Main_Page
 Vcs-Browser: https://salsa.debian.org/science-team/armci-mpi
 Vcs-Git: https://salsa.debian.org/science-team/armci-mpi.git
@@ -25,4 +26,5 @@
  operations (one-sided communication) optimized for contiguous and
  noncontiguous (strided, scatter/gather, I/O vector) data transfers.
  .
- This version contains the Fortran90 modules and the static library.
+ This version contains the Fortran90 modules and the static library,
+ built against both OpenMPI and MPICH.
