=== debian/tests/control ===
Tests: test-armci
Depends: @, mpi-default-bin, mpi-default-dev,
 debhelper, dh-autoreconf,
 gcc
Restrictions: allow-stderr

Tests: test-armci-openmpi
Depends: @, libopenmpi-dev,
 debhelper, dh-autoreconf,
 gcc
Restrictions: allow-stderr

Tests: test-armci-mpich
Depends: @, libmpich-dev,
 debhelper, dh-autoreconf,
 gcc
Restrictions: allow-stderr
Architecture: !s390x
