## armci-mpi 0.4

=== debian/changelog ===
armci-mpi (0.4-8) unstable; urgency=medium

  * Team upload.
  * debian patch gcc-15.patch fixes build for gcc-15 (C23 standard).
    Thanks Matthias Klose for the patch (nmu 0.4-6.1).
    Closes: #1096329, #1119113.

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Oct 2025 13:27:54 +0100

armci-mpi (0.4-7) unstable; urgency=medium

  * Team upload.
  * refresh build against current MPI libraries

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Oct 2025 00:08:32 +0100

armci-mpi (0.4-6) unstable; urgency=medium

  * Team upload.
  * ensure armci-mpi is rebuilt for the version of mpich (really4.2.1)
    targetted for trixie

 -- Drew Parsons <dparsons@debian.org>  Fri, 09 May 2025 00:03:34 +0200

armci-mpi (0.4-5) unstable; urgency=medium

  * Team upload.
  * debian patch openmpi5_direct_PR54.patch applies upstream PR#54
    (and PR#52) to improve operations with OpenMPI 5.
  * add lintian override for debian-rules-calls-nproc
    (use nproc to run MPI tests)
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Tue, 01 Apr 2025 02:31:29 +0200

armci-mpi (0.4-4) unstable; urgency=medium

  * Team upload.
  * don't build or run tests for openmpi on 32-bit architectures.
    openmpi 4 is still built for these arches, but mpi-defaults
    already marks them as not supporting openmpi. Closes: #1068319

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Sep 2024 16:56:49 +0200

armci-mpi (0.4-3) unstable; urgency=medium

  * Team upload.
  * only build against openmpi or mpich where supported by the arch.
    Prepare for openmpi 5 dropping 32-bit arch support. See Bug#1068319.

 -- Drew Parsons <dparsons@debian.org>  Sat, 14 Sep 2024 19:40:56 +0200

armci-mpi (0.4-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Jul 2024 12:26:54 +0200

armci-mpi (0.4-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patches fix-test.patch and ftbfs.patch

 -- Drew Parsons <dparsons@debian.org>  Sun, 30 Jun 2024 10:13:56 +0200

armci-mpi (0.3.1-beta+git20221202.f1c4dae-1) unstable; urgency=medium

  * Team upload.
  * debian/tests: reinstate skipping mpich tests on 390x
  * apply Samuel Thibault's patch for 0.3.1~beta-7.1. Closes: #1068100.
  * debian/control: update Homepage to https://github.com/pmodels/armci-mpi

 -- Drew Parsons <dparsons@debian.org>  Sat, 06 Apr 2024 12:46:00 +0200

armci-mpi (0.3.1-beta+git20221202.f1c4dae-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream snapshot
  * debian/tests: reenable mpich tests on s390x to monitor progress
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Mar 2023 14:32:37 +0100

armci-mpi (0.3.1~beta-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * patches/fix-test.patch: Fix test_mpi_indexed_gets.c test and strengthen
    the others. Closes: #1066227.
  * patches/ftbfs.patch: Fix build with qa=+bug-implicit-func.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 30 Mar 2024 23:17:18 +0100
