=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Michael Banck <mbanck@debian.org>
 Build-Depends: debhelper-compat (= 13),
  mpi-default-bin, mpi-default-dev,
- libopenmpi-dev,
+ libopenmpi-dev [!armel !armhf !i386 !hurd-i386 !hppa !m68k !powerpc !sh4 !x32],
  libmpich-dev
-Standards-Version: 4.6.0
-Homepage: https://wiki.mpich.org/armci-mpi/index.php/Main_Page
+Standards-Version: 4.7.2
+Homepage: https://github.com/pmodels/armci-mpi
 Vcs-Browser: https://salsa.debian.org/science-team/armci-mpi
 Vcs-Git: https://salsa.debian.org/science-team/armci-mpi.git
