=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+include /usr/share/dpkg/architecture.mk
 include /usr/share/mpi-default-dev/debian_defaults
 
 export OMPI_MCA_plm_rsh_agent=/bin/false
@@ -12,12 +13,19 @@
 empty :=
 space := $(empty)$(empty)
 
+ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(OPENMPI_AVAILABLE_ARCHITECTURES)$(space)))
+  MPI_SUPPORTED = openmpi
+endif
+ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(MPICH_AVAILABLE_ARCHITECTURES)$(space)))
+  MPI_SUPPORTED += mpich
+endif
+
 # mpich tests time out on these arches
 ARCH_SKIP_MPICH_TEST_LIST = ppc64 sparc64
 ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(ARCH_SKIP_MPICH_TEST_LIST)$(space)))
   TEST_MPI_FLAVORS=openmpi
 else
-  TEST_MPI_FLAVORS=mpich openmpi
+  TEST_MPI_FLAVORS=$(MPI_SUPPORTED)
 endif
 
 %:
@@ -37,12 +45,12 @@
 	cp -ra pristine-src build-openmpi
 
 override_dh_auto_configure:
-	for mpi_flavor in mpich openmpi; do \
+	for mpi_flavor in $(MPI_SUPPORTED); do \
 	  MPICC=mpicc.$${mpi_flavor} dh_auto_configure --sourcedirectory=$(CURDIR)/build-$${mpi_flavor} -- MPI_FLAVOR=$${mpi_flavor}; \
 	done
 
 override_dh_auto_build:
-	for mpi_flavor in mpich openmpi; do \
+	for mpi_flavor in $(MPI_SUPPORTED); do \
 	  dh_auto_build --sourcedirectory=$(CURDIR)/build-$${mpi_flavor}; \
 	done
 
@@ -56,7 +64,7 @@
 endif
 
 override_dh_auto_install:
-	for mpi_flavor in mpich openmpi; do \
+	for mpi_flavor in $(MPI_SUPPORTED); do \
 	  dh_auto_install --sourcedirectory=$(CURDIR)/build-$${mpi_flavor}; \
 	done
