=== debian/tests/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Depends: @, libopenmpi-dev,
  debhelper, dh-autoreconf,
  gcc
+Architecture: !armel !armhf !i386 !hurd-i386 !hppa !m68k !powerpc !sh4 !x32
 Restrictions: allow-stderr
 
 Tests: test-armci-mpich
