=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/armci-mpi-$1\.tar\.gz/ \
  https://github.com/pmodels/armci-mpi/tags .*/v?(\d\S+)\.tar\.gz
